Bug 812390 - Incomprehensible menu on first boot
Summary: Incomprehensible menu on first boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-13 15:05 UTC by Sam P. Kuper
Modified: 2013-02-17 11:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:52:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 8691 0 None None None Never

Description Sam P. Kuper 2012-04-13 15:05:35 UTC
Description of problem:

Upon booting into my new Fedora install for the first time, I was immediately presented with a dialog box titled "Panel", which says, "Welcome to the first start of the panel. Choose below which setup you want for the first startup."

The options are: "Use default config" and "One empty panel".

There appears to be no contextual help to assist the novice user in comprehending this unexpected dialog box; a dialog box which, moreover, the user has not explicitly invoked.

As such, the dialog box is incomprehensible, except perhaps to experienced users.

Either it should not be shown at all, or it should explain what effect each of the two different options will have upon the user's subsequent use of that instance of Fedora.



Version-Release number of selected component (if applicable):
Unknown.

Steps to Reproduce:
1. Run the Fedora-16-x86_64-Live-XFCE.iso LiveCD.
2. Double-click the icon on the desktop that provides a wizard to install Fedora to the HDD from the LiveCD.
3. When the wizard completes and the system reboots, once the user has logged in to the new system, the dialog box described above is immediately displayed.
  
Actual results:
An incomprehensible dialog box is displayed.

Expected results:
No incomprehensible dialog boxes should be displayed: a dialog box should either not be displayed, or it should be made comprehensible.

Additional info:
This is my first time using Fedora with XFCE.

Comment 1 Christoph Wickert 2012-04-13 15:48:24 UTC
Xfce has thousands of users and AFAIK you are the first one to complain. This being said I don't think the dialog is incomprehensible but 99,999% do understand it.

Maybe I'm already too expirienced, but I don't see what could be considered incomprehensible: The word "panel", "default config" or what exactly?

As this problem is not specific to Fedora, I would like to ask you to file a report at http://bugzilla.xfce.org. You will have a much broader user base there and the chance to directly discuss the problem with the developers. Usually I forward bug reports to the developers, but I can only forward bugs or requests I understand.

Once you have filed a bug a bug in the Xfce tracker, please add it as upstream reference in the field "External Trackers".

Comment 2 Sam P. Kuper 2012-04-13 19:01:27 UTC
It's thoroughly incomprehensible. There are lots of meanings of the word "panel" in English, but simply saying, "Welcome to the first start of the panel. Choose below which setup you want for the first startup." does nothing to help a user identify what is meant by "the panel" in this context; it leaves the novice user wondering:

* What is "the panel"?
* What is it for?
* What does it do?
* Why on am asked to configure "the panel" using the options in the dialog box, given that I do not even know the answers to the questions above?

As for the options themselves, the novice user is left wondering:

* What will the effect of clicking "Use default config" be?
* What will the effect of clicking "One empty panel" be?
* Why is there no option to defer making a decision until I have learned what "the panel" is and why I might want to configure it one way rather than another?
* Since I am being forced to choose between two options I do not understand, will I be able to undo my choice later on; and if so, how?

Comment 3 Sam P. Kuper 2012-04-13 19:03:14 UTC
s/Why on am/Why am I being/

Comment 4 Fedora End Of Life 2013-01-16 14:37:00 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 15:52:20 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Christoph Wickert 2013-02-17 11:09:11 UTC
Sorry we did not get back to you earlier. Nevertheless I'd like to give my 2 cents here.

People who don't know what "panel" means are properly not the target audience of Xfce. Strictly speaking you cannot even use the desktop if you don't know it's components. If you don't know the terms used and for you the panel is just "that thing" or "that bar", that's a different problem. Maybe the dialog could be worded a little better, but frankly speaking I have no idea how to phrase it better.

This question is best discussed with the Xfce community. Please file a bug at http://bugzilla.xfce.org. There you have all the developers and translators who can provide better input than we can.

Once again, I'm sorry for the delay.


Note You need to log in before you can comment on or make changes to this bug.